commit 981b776f02fa1c1a78bafd6cc00ea5c6c70abf75
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Aug 21 00:16:59 2020 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 7829179094c..7ead9649335 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200820
+20200821
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 945cf410fd8..0aed3450b28 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,40 @@
+2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96250
+	* dmd/expressionsem.c (ExpressionSemanticVisitor::visit(TypeExp)):
+	Fix cast from Expression to VarExp.
+
+2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96250
+	* dmd/dstruct.c (StructDeclaration::semantic): Error if redefinition
+	of struct exists in compilation.
+	* dmd/expressionsem.c (ExpressionSemanticVisitor::visit(TypeExp)):
+	Rewrite resolved field variables as 'this.var' before semantic.
+	* dmd/parse.c (Parser::parseUnaryExp): Mark '(type) una_exp' as a
+	parenthesized expression.
+
+2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* dmd/ctfeexpr.c (isCtfeValueValid): Return true for array literals as
+	well as structs.
+	* dmd/dinterpret.c: Don't reinterpret static arrays into dynamic.
+
+2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-03  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96254
+	* d-codegen.cc (error_no_frame_access): New.
+	(get_frame_for_symbol): Use fdparent name in error message.
+	(get_framedecl): Replace call to assert with error.
+	* d-tree.h (error_no_frame_access): Declare.
+	* decl.cc (get_decl_tree): Detect recursion and error.
+
 2020-08-18  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 0fc057a860c..1698c5580b5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,33 @@
+2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96250
+	* gdc.test/fail_compilation/fail17492.d: New test.
+	* gdc.test/compilable/b9490.d: New test.
+	* gdc.test/compilable/ice14739.d: New test.
+	* gdc.test/fail_compilation/ice21060.d: New test.
+	* gdc.test/fail_compilation/imports/ice21060a/package.d: New file.
+	* gdc.test/fail_compilation/imports/ice21060b/package.d: New file.
+	* gdc.test/fail_compilation/imports/ice21060c/package.d: New file.
+	* gdc.test/fail_compilation/imports/ice21060d/package.d: New file.
+	* gdc.test/runnable/b16278.d: New test.
+
+2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* gdc.test/compilable/interpret3.d: Add test.
+	* gdc.test/fail_compilation/reg6769.d: New test.
+
+2020-08-20  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-08-03  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/96254
+	* gdc.dg/pr96254a.d: New test.
+	* gdc.dg/pr96254b.d: New test.
+
 2020-08-19  Joe Ramsay  <joe.ramsay@arm.com>
 
 	Backported from master:
diff --git a/libgomp/ChangeLog b/libgomp/ChangeLog
index eefacc68540..e018c27bd27 100644
--- a/libgomp/ChangeLog
+++ b/libgomp/ChangeLog
@@ -1,3 +1,13 @@
+2020-08-20  Chung-Lin Tang  <cltang@codesourcery.com>
+
+	Backported from master:
+	2020-08-20  Chung-Lin Tang  <cltang@codesourcery.com>
+
+	* plugin/plugin-nvptx.c (nvptx_free):
+	Change "GOMP_PLUGIN_acc_thread () == NULL" test into check of
+	CUDA_ERROR_NOT_PERMITTED status for cuMemGetAddressRange. Adjust
+	comments.
+
 2020-07-29  Julian Brown  <julian@codesourcery.com>
 
 	Backported from master:

